CVE-2019-6537 – Multiple stack-based buffer overflow vulnerabilities in WECON LeviStudioU version 1.8.56 a …

Vuln ID: CVE-2019-6537

Published:  2019-02-13  00:29:00Z

Description: Multiple stack-based buffer overflow vulnerabilities in WECON LeviStudioU version 1.8.56 and prior may be exploited when parsing strings within project files. The process does not properly validate the length of user-supplied data prior to copying it to a fixed-length stack-based buffer. An attacker can leverage these vulnerabilities to execute code under the context of the current process. Mat Powell, Ziad Badawi, and Natnael Samson working with Trend Micro’s Zero Day Initiative, reported these vulnerabilities to NCCIC.

Source: NVD.NIST.GOV

 

Tags